<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('po_assigns', function (Blueprint $table) {
            $table->increments('pad_id');
            $table->integer('pa_id')->default(0);
            $table->string('pa_no',100)->nullable();
            $table->integer('po_id')->default(0);
            $table->integer('contrct_id')->default(0);
            $table->text('descrpt')->nullable();
            $table->date('p_asg_dt')->nullable();
            $table->integer('added_by')->default(0);
            $table->integer('branch_id')->default(0);
            $table->integer('company_id')->default(0);
            $table->timestamp('added_on')->nullable();
            $table->integer('status')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('po_assigns');
    }
};
